Get LLM model
curl --request GET \
--url https://api.example.com/v2/llm-models/{llm_model_id}import requests
url = "https://api.example.com/v2/llm-models/{llm_model_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v2/llm-models/{llm_model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/llm-models/{llm_model_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/llm-models/{llm_model_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v2/llm-models/{llm_model_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/llm-models/{llm_model_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "LLM model retrieved successfully",
"data": {
"llm_model_id": "9d259647-d5ec-423d-96a9-2750980e8ecb",
"llm_type": [
"simple",
"flow"
],
"model_provider": "openai",
"provider_display_name": "OpenAI",
"model_name": "gpt-4o-mini",
"model_type": "builtIn",
"model_display_name": "GPT-4o mini",
"language_code": [
"en-US",
"ja-JP"
],
"model_description": "Fast, low-cost general-purpose model.",
"is_realtime_model": false,
"pca_enabled": true,
"latency_in_ms": 600,
"max_tokens": 4096,
"model_temperature": 0.7,
"priority": 10,
"created_by_user_id": "usr_admin01",
"modified_by_user_id": "usr_admin01",
"created_at": "2026-05-04T08:00:00Z",
"modified_at": "2026-09-12T11:20:00Z",
"status": "ACTIVE",
"operation_type": "GET"
}
}{
"status": "error",
"message": "Both workspaceId and organizationId are missing"
}{
"status": "error",
"message": "LLM model not found"
}LLM Models
Get LLM model
Retrieve one LLM model by its llm_model_id. Use it to confirm that a model is ACTIVE and that its llm_type array contains the agent’s llm_type before you send it as llm.llm_id.
Only ACTIVE models are returned. A model that does not exist or is not ACTIVE returns 404. A key that resolves to neither a workspace nor an organization returns 400.
The response uses the v3 envelope: status (lowercase), message and data. Null fields are omitted. To browse the catalog, use List LLM models.
GET
/
v2
/
llm-models
/
{llm_model_id}
Get LLM model
curl --request GET \
--url https://api.example.com/v2/llm-models/{llm_model_id}import requests
url = "https://api.example.com/v2/llm-models/{llm_model_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v2/llm-models/{llm_model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/llm-models/{llm_model_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/llm-models/{llm_model_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v2/llm-models/{llm_model_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/llm-models/{llm_model_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "LLM model retrieved successfully",
"data": {
"llm_model_id": "9d259647-d5ec-423d-96a9-2750980e8ecb",
"llm_type": [
"simple",
"flow"
],
"model_provider": "openai",
"provider_display_name": "OpenAI",
"model_name": "gpt-4o-mini",
"model_type": "builtIn",
"model_display_name": "GPT-4o mini",
"language_code": [
"en-US",
"ja-JP"
],
"model_description": "Fast, low-cost general-purpose model.",
"is_realtime_model": false,
"pca_enabled": true,
"latency_in_ms": 600,
"max_tokens": 4096,
"model_temperature": 0.7,
"priority": 10,
"created_by_user_id": "usr_admin01",
"modified_by_user_id": "usr_admin01",
"created_at": "2026-05-04T08:00:00Z",
"modified_at": "2026-09-12T11:20:00Z",
"status": "ACTIVE",
"operation_type": "GET"
}
}{
"status": "error",
"message": "Both workspaceId and organizationId are missing"
}{
"status": "error",
"message": "LLM model not found"
}Path Parameters
Catalog id of the model.

